API reference
All endpoints require an API key with the listed scope. List endpoints accept ?limit= (max 200, newest first). Machine-readable spec: /openapi.json.
get
/api/v1/clientsscope: clients:readList clients
curl https://digiflow.network/api/v1/clients?limit=50 \ -H "Authorization: Bearer dgs_live_YOUR_KEY"
post
/api/v1/clientsscope: clients:writeCreate a client · supports Idempotency-Key
curl -X POST https://digiflow.network/api/v1/clients \
-H "Authorization: Bearer dgs_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: create-client-42" \
-d '{"name": "Restaurant El Medina", "city": "Sousse"}'get
/api/v1/leadsscope: leads:readList leads
curl https://digiflow.network/api/v1/leads \ -H "Authorization: Bearer dgs_live_YOUR_KEY"
post
/api/v1/leadsscope: leads:writeCreate a lead from a business · supports Idempotency-Key
curl -X POST https://digiflow.network/api/v1/leads \
-H "Authorization: Bearer dgs_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"businessId": "biz_abc123"}'get
/api/v1/invoicesscope: invoices:readList invoices
curl https://digiflow.network/api/v1/invoices \ -H "Authorization: Bearer dgs_live_YOUR_KEY"
get
/api/v1/proposalsscope: proposals:readList proposals
curl https://digiflow.network/api/v1/proposals \ -H "Authorization: Bearer dgs_live_YOUR_KEY"
get
/api/v1/projectsscope: projects:readList projects
curl https://digiflow.network/api/v1/projects \ -H "Authorization: Bearer dgs_live_YOUR_KEY"